<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

function plugin_install() {
	include_once(dirname(__FILE__).'/install/config_default.inc.php');
	include_once(dirname(__FILE__).'/install/functions.inc.php');

	file_uploader_install($config_default);
	
	file_uploader_folder($file_uploader_galleries_folder, $file_uploader_galleries_dir);
}

function plugin_activate() {
	include_once(dirname(__FILE__).'/install/config_default.inc.php');
	include_once(dirname(__FILE__).'/install/functions.inc.php');
	
	file_uploader_update_db();
	file_uploader_folder($file_uploader_galleries_folder, $file_uploader_galleries_dir);
}

function plugin_uninstall() {
	include_once(dirname(__FILE__).'/install/functions.inc.php');

	file_uploader_delete_conf("file_uploader");
}

?>